package com.zcloud.basic.info.domain.gateway;


import com.alibaba.cola.dto.Response;
import com.zcloud.basic.info.domain.model.UserE;

import java.util.Map;

/**
 * web-domain
 *
 * @Author zhangyue
 * @Date 2025-11-04 14:07:35
 */
public interface UserGateway {

    /**
     * 新增
     */
    Boolean add(UserE userE);

    Boolean register(UserE userE);

    /**
     * 修改
     */
    Boolean update(UserE userE);

    /**
     * 删除
     */
    void deletedUserById(Long id);

    Boolean deletedUserByIds(Long[] id);

    Response countUser(Map<String,Object> params);

    /**
     * 修改密码
     */
    Response updatePassword(UserE userE);

    boolean addXgf(UserE userE);
}

